
Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Feature #1108

HTTPS support for Windows builds

June 16, 2021 11:31 - Steve Suthers

Status: Closed Start date: June 16, 2021

Priority: Minor Due date:  

Assignee:  % Done: 0%

Category: plugins/neon Estimated time: 0.00 hour

Target version: 4.4   

Affects version: 4.1   

Description

I get the following error when trying to play Lave Radio (website: https://laveradio.com/live/)

Error playing https://kathy.torontocast.com/lave?type=.mp3:

Server certificate verification failed: issuer is not trusted

I get similar error when trying any of their alternative streams:

https://kathy.torontocast.com:1350/grantwoolcott/1/itunes.pls

https://kathy.torontocast.com:1350/grantwoolcott/1/realplayer.ram

The above urls play perfectly fine from an alternative player such as VLC media player.

History

#1 - June 16, 2021 13:34 - John Lindgren

- Category set to plugins/neon

#2 - July 02, 2021 19:17 - John Lindgren

- Tracker changed from Bug to Support

Are you on Windows, by chance? Some more development is still needed to get HTTPS certificate verification working correctly there. Until then, only

unencrypted HTTP streams will work.

#3 - July 10, 2021 09:46 - Steve Suthers

Yes, I'm on Windows 10.

#4 - July 26, 2021 21:54 - John Lindgren

- Subject changed from Server certification verification fails when trying to play "Lave Radio" internet radio station to HTTPS support for Windows

builds

- Tracker changed from Support to Feature

#5 - December 27, 2021 04:45 - Boris Gjenero

https streaming in Windows 10 21H2 works for me in 4.0.4 (from audacious-4.0.4-win32.exe) but fails in audacious-4.1-beta1-win32.exe which I

installed from Chocolatey.

#6 - April 13, 2024 09:36 - Thomas Lange

- Target version set to 4.4

- Status changed from New to Closed

Fixed with https://github.com/audacious-media-player/audacious-plugins/commit/11f9b9d74f58b5cdded1b1a67cadb78f18555fdd.
See also: https://github.com/orgs/audacious-media-player/discussions/119
